Install/Update Differentiation

SDK needs support to enable the update by the user application or install the application. You need to have logic on the app side to distinguish between app INSTALL and UPDATE.

If the user was already using your application and has just updated to a new version that has MoEngage SDK, it is an update. Call the below API

Dart
import 'package:moengage_flutter/moengage_flutter.dart';
import 'package:moengage_flutter/model/app_status.dart';

final MoEngageFlutter _moengagePlugin = MoEngageFlutter(YOUR_APP_ID);
_moengagePlugin.initialise();
_moengagePlugin.setAppStatus(MoEAppStatus.update);

In case it is a fresh install call the below API

Dart
import 'package:moengage_flutter/moengage_flutter.dart';
import 'package:moengage_flutter/model/app_status.dart';

final MoEngageFlutter _moengagePlugin = MoEngageFlutter(YOUR_APP_ID);
_moengagePlugin.initialise();
_moengagePlugin.setAppStatus(MoEAppStatus.install);

For more information, refer to Flutter SDK.

Was this article helpful?
0 out of 0 found this helpful